from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .dataproxy import SnowflakeDataProxy
from .dbconfig import SnowflakeDBConfig
from .patches import patch_snowflake

__version__ = '1.0.0'

DB_TYPES = ['snowflake']

patch_snowflake()


class SnowflakeModel(SQLAlchemyModel):
    db_types = DB_TYPES


class SnowflakeModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES


ModuleMaker = SnowflakeModuleMaker
Model = SnowflakeModel
DataProxy = SnowflakeDataProxy
DBConfig = SnowflakeDBConfig
